defmodule Procore.Resources.ProjectConfigurations.ResponseBodyTypes.GetProjectConfiguration do
  @type t :: %{
          (all_punch_items_private_by_default :: String.t()) => boolean,
          (send_requisition_reminders :: String.t()) => boolean,
          (meetings_custom_textarea_1_label :: String.t()) => DefinedTypes.string_or_nil(),
          (submittal_logs_private_by_default :: String.t()) => boolean,
          (notify_punch_item_distribution_of_assignee_responses :: String.t()) => boolean,
          (number_of_previous_meeting_minutes_shown_on_pdf :: String.t()) => integer,
          (multiple_question_rfis :: String.t()) => boolean,
          (submittal_log_notify_distribution_members :: String.t()) => boolean,
          (allow_standard_to_create_cor :: String.t()) => boolean,
          (all_rfis_private_by_default :: String.t()) => boolean,
          (meetings_custom_textfield_1_label :: String.t()) => DefinedTypes.string_or_nil(),
          (schedule_enable_legacy_browser_integration :: String.t()) => boolean,
          (allow_markups_default :: String.t()) => boolean,
          (rfq_due_days_default :: String.t()) => non_neg_integer,
          (allow_payments_default :: String.t()) => boolean,
          (parent_config_id :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (default_bid_web_message :: String.t()) => String.t(),
          (drawing_revisions_ordered_by_letter_first :: String.t()) => boolean,
          (config_template_id :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (default_meeting_format :: String.t()) => String.t(),
          (purchase_order_accounting_method :: String.t()) => String.t(),
          (enable_ms_project_viewer :: String.t()) => boolean,
          (enable_pco_real_time_as_builts :: String.t()) => boolean,
          (show_weather :: String.t()) => boolean,
          (rfi_only_show_official_responses :: String.t()) => boolean,
          (enable_field_orders :: String.t()) => boolean,
          (enable_sequential_approver_reassignment :: String.t()) => boolean,
          (enable_sub_jobs :: String.t()) => boolean,
          (daily_log_mods :: String.t()) => list(),
          (mechanical_turk_hits_allowed :: String.t()) => non_neg_integer,
          (send_requisition_invites :: String.t()) => boolean,
          (drawing_pagination_amount :: String.t()) => non_neg_integer,
          (timecard_in_out_enabled :: String.t()) => boolean,
          (submittal_logs_custom_textarea_1_label :: String.t()) => DefinedTypes.string_or_nil(),
          (billing_date :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (use_company_cost_codes :: String.t()) => DefinedTypes.boolean_or_nil(),
          (image_category_add_new_at_top :: String.t()) => boolean,
          (schedule_type :: String.t()) => DefinedTypes.string_or_nil(),
          (meeting_attendees_have_advanced_settings :: String.t()) => boolean,
          (autocalculate_budget_forecasts_by_default :: String.t()) => boolean,
          (meetings_have_cost_codes :: String.t()) => boolean,
          (qr_codes_enabled :: String.t()) => boolean,
          (default_submittal_manager_id :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (display_task_names_with_full_outline_path :: String.t()) => boolean,
          (punch_item_overdue_emails_enabled :: String.t()) => boolean,
          (default_manpower_log_hours :: String.t()) => non_neg_integer,
          (enable_purchase_orders :: String.t()) => boolean,
          (enable_earned_value :: String.t()) => boolean,
          (allow_standard_to_create_cop :: String.t()) => boolean,
          (id :: String.t()) => pos_integer,
          (enable_prime_change_orders_at_the_bottom_of_payapps :: String.t()) => boolean,
          (enable_submittal_package_workflow :: String.t()) => boolean,
          (project_integration :: String.t()) => boolean,
          (observations_days_due_default :: String.t()) => non_neg_integer,
          (bidding_email_sender_configuration :: String.t()) => String.t(),
          (allow_bid_lump_sum :: String.t()) => DefinedTypes.boolean_or_nil(),
          (documents_private_by_default :: String.t()) => boolean,
          (raster_only_hyperlinks :: String.t()) => boolean,
          (forms_private_by_default :: String.t()) => boolean,
          (sixth_tier_task_color :: String.t()) => String.t(),
          (schedule_enable_legacy_suretrak_integration :: String.t()) => boolean,
          (communication_threads_private_default :: String.t()) => boolean,
          (schedule_show_resources_on_calendar :: String.t()) => boolean,
          (new_change_orders_private_by_default :: String.t()) => DefinedTypes.boolean_or_nil(),
          (notify_punch_item_assignees_of_assignee_responses :: String.t()) => boolean,
          (incidents_private_by_default :: String.t()) => boolean,
          (enable_rfq :: String.t()) => boolean,
          (submittal_log_overdue_emails_enabled :: String.t()) => boolean,
          (rfi_due_days_default :: String.t()) => non_neg_integer,
          (work_order_accounting_method :: String.t()) => String.t(),
          (retainage_percent_default :: String.t()) => float,
          (provider_id :: String.t()) => pos_integer,
          (accept_post_due_submissions :: String.t()) => DefinedTypes.boolean_or_nil(),
          (default_bid_email_message :: String.t()) => String.t(),
          (enable_trade_on_manpower_logs :: String.t()) => boolean,
          (provider_type :: String.t()) => String.t(),
          (allow_standard_to_create_prime_cop :: String.t()) => boolean,
          (create_calendar_item_enabled :: String.t()) => boolean,
          (enable_adding_of_change_order_line_items_to_payment_application :: String.t()) =>
            boolean,
          (all_transmittals_private_by_default :: String.t()) => boolean,
          (third_tier_task_color :: String.t()) => String.t(),
          (bidders_can_add_line_items :: String.t()) => boolean,
          (billing_period_end :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (submittal_logs_custom_textfield_1_label :: String.t()) => DefinedTypes.string_or_nil(),
          (enable_related_to_in_daily_log :: String.t()) => boolean,
          (submittal_log_default_internal_review_time :: String.t()) => integer,
          (include_questions_in_rfi_log :: String.t()) => boolean,
          (show_created_by_on_logs :: String.t()) => DefinedTypes.boolean_or_nil(),
          (observations_private_by_default :: String.t()) => boolean,
          (display_materials_retainage_default :: String.t()) => boolean,
          (enable_work_orders :: String.t()) => boolean,
          (time_phased_budgeting :: String.t()) => boolean,
          (hide_national_weather_data :: String.t()) => DefinedTypes.boolean_or_nil(),
          (requisition_reminder_interval :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (meetings_private_by_default :: String.t()) => boolean,
          (meetings_have_old_and_new :: String.t()) => boolean,
          (sort_submittal_package_list_title_asc :: String.t()) => boolean,
          (require_reasons_for_schedule_changes :: String.t()) => boolean,
          (emailed_images_uploaded :: String.t()) => boolean,
          (bid_emails_include_link_to_bidding_documents :: String.t()) => boolean,
          (drawings_by_area :: String.t()) => boolean,
          (enforce_observation_creation_on_inspection_item_failure :: String.t()) => boolean,
          (number_of_prime_contract_change_order_tiers :: String.t()) => pos_integer,
          (enable_sequential_approvers :: String.t()) => boolean,
          (billing_period_start :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (require_reasons_in_ms_project :: String.t()) => boolean,
          (requisitions_custom_email_text :: String.t()) => DefinedTypes.string_or_nil(),
          (enable_change_order_associations :: String.t()) => boolean,
          (submittal_log_default_design_team_review_time :: String.t()) => non_neg_integer,
          (bid_submission_confirmation :: String.t()) => DefinedTypes.string_or_nil(),
          (default_accounting_method :: String.t()) => String.t(),
          (created_at :: String.t()) => String.t(),
          (number_of_commitment_change_order_tiers :: String.t()) => pos_integer,
          (name :: String.t()) => String.t(),
          (punch_item_days_due_default :: String.t()) => non_neg_integer,
          (submittal_log_notify_approvers :: String.t()) => boolean,
          (mechanical_turk_hit_price :: String.t()) => non_neg_integer,
          (bid_countdown_email_days :: String.t()) => DefinedTypes.non_neg_integer_or_nil(),
          (fourth_tier_task_color :: String.t()) => String.t(),
          (allow_non_net_zero_budget_transfers :: String.t()) => boolean,
          (blind_bidding :: String.t()) => DefinedTypes.boolean_or_nil(),
          (enable_docusign_integration :: String.t()) => boolean,
          (default_bid_submission_confirmation :: String.t()) => DefinedTypes.string_or_nil(),
          (numbers_submittals_by_spec_section :: String.t()) => boolean,
          (meeting_topics_have_descriptions :: String.t()) => boolean,
          (pre_bid_walk_through_notes :: String.t()) => DefinedTypes.string_or_nil(),
          (display_work_retainage_default :: String.t()) => boolean,
          (second_tier_task_color :: String.t()) => String.t(),
          (enable_change_reason_select :: String.t()) => boolean,
          (checklist_private_by_default :: String.t()) => boolean,
          (uploaded_images_private :: String.t()) => boolean,
          (rfi_only_allow_drafts_for_standards :: String.t()) => boolean,
          (enable_rfi_real_time_as_builts :: String.t()) => boolean,
          (allow_standard_to_create_pco :: String.t()) => boolean,
          (enable_submittal_schedule_calculations :: String.t()) => boolean,
          (subcontractor_logs :: String.t()) => list(),
          (standards_can_delete_public_markup :: String.t()) => boolean,
          (show_historical_meeting_comments :: String.t()) => DefinedTypes.boolean_or_nil(),
          (notify_punch_item_creator_of_assignee_responses :: String.t()) => boolean,
          (enable_bid_countdown_emails :: String.t()) => DefinedTypes.boolean_or_nil(),
          (allow_comments_default :: String.t()) => boolean,
          (enable_contextual_searching_on_documents :: String.t()) => boolean,
          (fith_tier_task_color :: String.t()) => String.t(),
          (enable_drawings_dynamic_dpi :: String.t()) => boolean,
          (rfq_overdue_emails_enabled :: String.t()) => boolean,
          (sort_submittals_number_ascending :: String.t()) => boolean,
          (allow_payment_applications_default :: String.t()) => boolean,
          (allow_standard_to_create_prime_pco :: String.t()) => boolean,
          (enable_mechanical_turk :: String.t()) => boolean,
          (submittal_log_notify_creator :: String.t()) => boolean,
          (enable_deletion_of_multiple_documents :: String.t()) => boolean,
          (emailed_images_from_any_address :: String.t()) => boolean,
          (show_line_items_on_change_orders :: String.t()) => boolean,
          (allow_manual_calendar_edits :: String.t()) => boolean,
          (default_rfi_manager_id :: String.t()) => DefinedTypes.pos_integer_or_nil(),
          (calendar_people_filters_enabled :: String.t()) => boolean,
          (enable_global_search :: String.t()) => boolean,
          (first_tier_task_color :: String.t()) => String.t(),
          (allow_standard_to_create_prime_cor :: String.t()) => boolean,
          (show_schedule :: String.t()) => boolean,
          (rfi_overdue_emails_enabled :: String.t()) => boolean,
          (submittal_days_due_default :: String.t()) => non_neg_integer,
          (enable_commitment_change_orders_at_the_bottom_of_payapps :: String.t()) => boolean,
          (contracts_private_by_default :: String.t()) => boolean,
          (updated_at :: String.t()) => String.t(),
          (disable_dynamic_location_creation :: String.t()) => boolean,
          (specification_section_revisions_ordered_by_letter_first :: String.t()) => boolean,
          (show_milestones :: String.t()) => boolean,
          (emailed_images_private :: String.t()) => boolean,
          (allow_private_rfis :: String.t()) => boolean
        }
end
