defmodule Procore.Resources.Rfis do
  @moduledoc """
  Available requests for the RFI resource.
  """

  alias Procore.Request

  @doc """
  Lists all RFIs in a project.
  """
  @spec list(%{(project_id :: String.t()) => pos_integer}) :: %ResponseResult{} | %ErrorResult{}
  def list(%{"project_id" => project_id}) do
    %Request{}
    |> Request.insert_request_type(:get)
    |> Request.insert_endpoint("/vapid/projects/#{project_id}/rfis")
    |> Procore.make_request()
  end
end
